## python-auditwheel 5.3.0+ds1

=== tests/integration/internal_rpath/Makefile ===
.PHONY: all clean

all: lib-src/b/libb.so lib-src/a/liba.so

clean:
	-rm -f lib-src/b/libb.so lib-src/a/liba.so

lib-src/b/libb.so: lib-src/b/b.c
	gcc -fPIC -shared -o lib-src/b/libb.so lib-src/b/b.c


lib-src/a/liba.so: lib-src/a/a.c
	gcc -fPIC -shared -o lib-src/a/liba.so lib-src/a/a.c

=== tests/integration/multiple_top_level/Makefile ===
.PHONY: all clean

all: lib-src/b/libb.so lib-src/a/liba.so

clean:
	-rm -f lib-src/b/libb.so lib-src/a/liba.so

lib-src/b/libb.so: lib-src/b/b.c
	gcc -fPIC -shared -o lib-src/b/libb.so lib-src/b/b.c


lib-src/a/liba.so: lib-src/b/libb.so lib-src/a/a.c
	gcc -fPIC -shared -o lib-src/a/liba.so -Ilib-src/b lib-src/a/a.c -Llib-src/b -lb

=== debian/changelog ===
python-auditwheel (5.3.0+ds1-2) unstable; urgency=medium

  * Team upload.
  * d/copyright: List BSD-3-Clause verbosely.

 -- Bastian Germann <bage@debian.org>  Thu, 30 Oct 2025 08:21:20 +0100

python-auditwheel (5.3.0+ds1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Initial packaging.

  [ Roland Mas ]
  * Build on Andreas's work, many thanks.
  * Disable a couple of failing tests for now.
  * Filter out binary *.whl files from source package.

 -- Roland Mas <lolando@debian.org>  Wed, 22 Oct 2025 11:57:46 +0200

=== debian/control ===
Source: python-auditwheel
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Roland Mas <lolando@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 patchelf,
 pybuild-plugin-pyproject,
 python3-all,
 python3-docker <!nocheck>,
 python3-jsonschema <!nocheck>,
 python3-pip <!nocheck>,
 python3-pretend <!nocheck>,
 python3-pyelftools <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-auditwheel
Vcs-Git: https://salsa.debian.org/python-team/packages/python-auditwheel.git
Homepage: https://github.com/pypa/auditwheel
Rules-Requires-Root: no

Package: python3-auditwheel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Auditing and relabeling of PEP Linux wheels
 auditwheel is a command line tool to facilitate the creation of Python
 wheel packages for Linux (containing pre-compiled binary extensions)
 that are compatible with a wide variety of Linux distributions,
 consistent with the PEP 600 manylinux_x_y, PEP 513 manylinux1, PEP 571
 manylinux2010 and PEP 599 manylinux2014 platform tags.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=auditwheel
export PYBUILD_TEST_ARGS=tests/integration/test_manylinux.py tests/integration/test_policy_files.py tests/unit/test_hashfile.py tests/unit/test_repair.py tests/unit/test_tools.py tests/unit/test_main.py tests/unit/test_musllinux.py tests/unit/test_policy.py tests/unit/test_tmpdirs.py tests/unit/test_condatools.py tests/unit/test_elfutils.py tests/unit/test_wheel_abi.py # tests/unit/test_elfpatcher.py tests/integration/test_bundled_wheels.py tests/integration/test_nonplatform_wheel.py tests/integration/test_addtag.py 

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repack,repacksuffix=+ds1,dversionmangle=auto" \
  https://github.com/pypa/auditwheel/tags (?:.*?/)?v?(5.3.0)\.tar\.gz

## python-auditwheel 6.5.0%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=auditwheel

# These tests require test data files that are excluded by Files-Excluded in
# debian/copyright.
export PYBUILD_TEST_ARGS = \
	--deselect tests/integration/test_bundled_wheels.py \
	--deselect tests/integration/test_nonplatform_wheel.py \
	--deselect tests/unit/test_lddtree.py::test_libpython \
	--deselect tests/unit/test_wheeltools.py::test_inwheel_tmpdir

%:
	dh $@ --buildsystem=pybuild

## python-auditwheel 6.5.0+ds1

=== debian/changelog ===
python-auditwheel (6.5.0+ds1-2) unstable; urgency=medium

  * Team upload.
  * Fix architecture tests on 32-bit x86.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 09:59:02 +0000

python-auditwheel (6.5.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make test exclusions easier to maintain.
  * Use dh-sequence-python3.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Nov 2025 16:24:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
  Andreas Tille <tille@debian.org>,
  Roland Mas <lolando@debian.org>,
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  patchelf,
  pybuild-plugin-pyproject,
  python3-all,
  python3-docker <!nocheck>,
  python3-jsonschema <!nocheck>,
+ python3-packaging <!nocheck>,
  python3-pip <!nocheck>,
  python3-pretend <!nocheck>,
  python3-pyelftools <!nocheck>,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repack,repacksuffix=+ds1,dversionmangle=auto" \
  https://github.com/pypa/auditwheel/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-auditwheel 6.5.1+ds1

=== debian/changelog ===
python-auditwheel (6.5.1+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Handle argparse changes in Python 3.14 (closes: #1123194).
  * Adjust TestPolicyAccess::test_get_by_name for riscv64.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2025 18:32:43 +0000

## python-auditwheel 6.6.0%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	--deselect tests/integration/test_bundled_wheels.py \
 	--deselect tests/integration/test_nonplatform_wheel.py \
 	--deselect tests/unit/test_lddtree.py::test_libpython \
+	--deselect tests/unit/test_wheeltools.py::test_inwheel_no_distinfo \
 	--deselect tests/unit/test_wheeltools.py::test_inwheel_tmpdir
 
 %:

## python-auditwheel 6.6.0+ds1

=== tests/integration/test_aarch64_glibc_blacklist/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(test_aarch64_glibc_blacklist VERSION 0.1.0 LANGUAGES C CXX)

set(THREADS_PREFER_PTHREAD_FLAG TRUE)
find_package(Threads REQUIRED)

add_library(test_tls_atexit SHARED tst-tls-atexit-lib.c)

add_executable(test_signaling signaling.cpp)
target_compile_definitions(test_signaling PRIVATE SIGNALING_TYPE=double)
target_link_libraries(test_signaling PRIVATE m)
add_executable(test_signalingf signaling.cpp)
target_compile_definitions(test_signalingf PRIVATE SIGNALING_TYPE=float)
target_link_libraries(test_signalingf PRIVATE m)
add_executable(test_signalingl signaling.cpp)
target_compile_definitions(test_signalingl PRIVATE SIGNALING_TYPE=long\ double)
target_link_libraries(test_signalingl PRIVATE m)

add_executable(test_pthread pthread_default_attr.c)
target_link_libraries(test_pthread PRIVATE Threads::Threads)

install(TARGETS test_tls_atexit)
install(TARGETS test_signaling test_signalingf test_signalingl test_pthread DESTINATION "${SKBUILD_SCRIPTS_DIR}")

=== tests/integration/test_mvec/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15.0)
project(test_mvec VERSION 0.1.0 LANGUAGES C)

add_library(test_mvec SHARED main.c)

target_link_libraries(test_mvec PUBLIC mvec m)
target_link_options(test_mvec PRIVATE "SHELL:-Wl,-no-as-needed -lmvec -lm")

install(TARGETS test_mvec)

=== debian/changelog ===
python-auditwheel (6.6.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Jan 2026 13:39:08 +0000
